
{% extends 'base/base.html' %}
{% load static %}

{% block side_bar %}{% endblock side_bar %}    
{% block top_bar %}{% endblock top_bar %}
{% block page_content %}{% endblock page_content %}    
{% block footer %}{% endblock footer %}

{% block login %}
<section class="vh-100" style="background-color: #fb5607;">
    <div class="container py-5 h-100">
      <div class="row d-flex justify-content-center align-items-center h-100">
        <div class="col col-xl-10">
          <div class="card" style="border-radius: 1rem;">
            <div class="row g-0 d-flex align-items-center align-content-center ml-1">
              <div class="col-md-6 col-lg-5 d-none d-md-block">
                <img src="{% static 'base/img/login_security.svg' %}"
                  alt="login form" class="img-fluid" style="border-radius: 1rem 0 0 1rem;" height="300" />
              </div>
              <div class="col-md-6 col-lg-7 d-flex align-items-center">
                <div class="card-body p-4 p-lg-5 text-black">
  
                  <form method="post">
                    {% csrf_token %}
                    <div class="d-flex align-items-center">
                      <i class="fas fa-cubes fa-2x me-3" style="color: #ff6219;"></i>
                      <span class="h2 fw-bold mb-0">Gestión de apoyos</span>
                    </div>
  
                    <h5 class="fw-normal mb-3 pb-3" style="letter-spacing: 1px;">Inicia sesión en tu cuenta</h5>
                                                                                
                    <div class="input-group">
                      <span class="input-group-text">
                        <i class="fas fa-user"></i>
                      </span>
                      
                      <input type="text" name="username" id="id_username" autocomplete="off" class="form-control form-control-lg font-weight-light" placeholder="Usuario" />
                    </div>
                      
                    <div class="input-group mt-3">
                      <span class="input-group-text">
                        <i class="fas fa-key"></i>
                      </span>
                      <input type="password" name="password" id="id_password" class="form-control form-control-lg font-weight-light " placeholder="Password" />
                    </div>
                    
  
                    <!-- <div class="form-outline mb-4">
                      <input type="password" name="password" id="id_password" class="form-control form-control-lg" placeholder="Password" />                     
                    </div> -->
  
                    <div class="pt-1 mb-4 mt-4">
                      <button class="btn btn-dark btn-lg btn-block" type="submit">Ingresar</button>
                    </div>
  
                    <a class="small text-muted" href="#!">Olvidaste tu contraseña?</a>
                    <p class="mb-5 pb-lg-2" style="color: #393f81;">No tienes una cuenta? <a href="#!"
                        style="color: #393f81;">Registrate aqui</a></p>
                    <a href="#!" class="small text-muted">H. Ayuntamiento de Pinos, Zac.</a>
                    <a href="#!" class="small text-muted">Todos los derechos reservados</a>
                  </form>
  
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>

<!-- <div class="container">
    <div class="row justify-content-center">

        <div class="col-xl-10 col-lg-12 col-md-9">
            <div class="card o-hidden border-0 shadow-lg my-5">
                <div class="card-body p-0">                 
                    <div class="row">
                        <div class="col-lg-6 d-none d-lg-block bg-login-image"></div>
                        <div class="col-lg-6">
                            <div class="p-5">
                                <div class="text-center">
                                    <h1 class="h4 text-gray-900 mb-4">Bienvenido al Sistema!</h1>
                                    <small class="text-danger">
                                                                                                                                                                 
                                    </small>
                                </div>
                                <form class="user" method="post">
                                    {% csrf_token %}
                                    <div class="form-group">
                                        <input type="text" class="form-control form-control-user" id="id_username" name="username"
                                        aria-describedby="emailHelp" placeholder="Ingresa tu usuario..">
                                    </div>

                                    <div class="form-group">
                                        <input type="password" class="form-control form-control-user" id="id_password" name="password"
                                        autocomplete="current-password" placeholder="Ingresa tu contraseña..">
                                    </div> -->
                                    
                                    <!-- {{ form.as_p }} -->

                                    <!-- <button type="submit" class="btn btn-secondary btn-user btn-block font-weight-bold text-capitalize">Acceder</button>
                                    
                                     <div class="my-3">
                                        <span>No tienes cuenta? <a href="#">Registrate</a></span><br>
                                        <span><a href="#">Recuperar password</a></span>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div> -->
{% endblock login %}

{% block js_page %}
    <script>
        {% if form.errors %}
            //si el formulario tiene errores
            {% for field in form %}
                {% if field.errors %}
                    {% for error in field.errors %}
                        mensaje('{{ error|escape }}', 'red')
                    {% endfor %}
                {% endif %}
            {% endfor %}
        {% endif %}


        {% if form.non_field_errors %}
            {% for error in form.non_field_errors %}
                mensaje('{{ error|escape }}', 'red')
            {% endfor %}
        {% endif %}
    </script>
{% endblock js_page %}
    
    